;Filename: SpiRd.s
;Part    : ADuC703x.
;Created : 14/04/2006
;Author  : Patrick Noonan (Analog Device Inc.)
;This file is in beta sampling.

;This software is supplied subject our standard software license agreement.
;A non-binding summary is as follows:
;"You may use the software in your own code at your own risk.
;" ADI inc disclaims any warranty or liability of its use".
;The full standard software license agreement is available on request and
; remains the binding agreement.

#include        <ADuC7030.inc>

; SpiRd==========Reads the SPI 8-bit data register.
; C Function prototype: int SpiRd(void);
; Description of Function: Reads the received SPI data.
; User interface:
;  Call SpiRd.
;  Returns SPIRX:
; Robustness:
;  Reads whatever character arrived last.


                RSEG CODE
                MODULE SpiRd
                PUBLIC SpiRd
                CODE32

SpiRd:   mov      r3,#0xff0000            ;r3 = Z_BASE;
         orr      r3,r3,#0xff000000
         ldr      r0,[r3,#Z_SPIRX]        ;Get SPIRX
         bx       lr


                 ENDMOD  SpiRd

                 END

